Homepage | Products | OX Knowledge Base | Support | Try Now | Contact | Company
OX Logo
Page 1 of 2 12 LastLast
Results 1 to 10 of 14
  1. #1
    pysio Guest

    Angry nothing provides open-xchange-conversion-servlet ??????

    Hi,
    ich versuche auf einen openSUSE 11.0 Server xchange zu installieren.
    Ich befolge die Installationsanweisungen und bekomme nach dem Punkt

    http://www.open-xchange.com/wiki/ind..._openSUSE_11.0

    zypper install mysql open-xchange open-xchange-authentication-database \
    open-xchange-admin-client open-xchange-admin-lib \
    open-xchange-admin-plugin-hosting open-xchange-admin-plugin-hosting-client \
    open-xchange-admin-p.........................


    Diesen Fehler:

    Problem: nothing provides open-xchange-conversion-servlet >= 6.12.0.0 needed by open-xchange-6.12.0.0-5_5.1.noarch


    Alle Module bis auf open-xchange konnte ich bisher installieren.
    Nur benötige ich das Modul damit ich auf die Funktion zugreifen kann:

    $ /etc/init.d/open-xchange-admin start

    Jedenfalls funktioniert die Funktion nicht bei mir nicht.
    Fehler: "open-xchange-admin" does not exists.

    Könnt Ihr mir da weiterhelfen?

    mfg
    pysio


    in english:

    when i enter this command:
    $ /etc/init.d/open-xchange-admin start

    i get this error message:
    -bash: /etc/init.d/open-xchange-admin: No such file or directory

    whats wrong??

    during installation i get this message:

    Problem: nothing provides open-xchange-conversion-servlet >= 6.12.0.0 needed by open-xchange-6.12.0.0-5_5.1.noarch

    thx
    pysio
    Last edited by pysio; 10-01-2009 at 07:33 PM.

  2. #2
    Join Date
    Feb 2007
    Location
    Germany
    Posts
    3,695

    Default

    Hi,

    thanks for the report, we're going to check the repository.

    Greetings

  3. #3
    volusiawebservices Guest

    Default

    Having exactly the same problem.

  4. #4
    volusiawebservices Guest

    Default

    Looks like open-xchange-conversion-servlet 6.10.0.0 is trying to install and 6.12.0.0 is needed to correctly complete installation.

    Any ideas how to resolve this?
    Thanks
    Tim

  5. #5
    volusiawebservices Guest

    Default

    I am running suse 11.1 but did finally get it to install without that error.

    I first downloaded/installed the correct RPM file at

    http://software.open-xchange.com/OX6...4.2.noarch.rpm

    which allowed the installation to complete with no errors. Now, to see if I can get everything configured and running. New to this linux thing.

  6. #6
    Join Date
    Feb 2007
    Location
    Germany
    Posts
    3,695

    Default

    Those dependencies should have been resolved automatically, downloading and installing is good workaround but it also needs to work the usual way like described at the wiki.

  7. #7
    volusiawebservices Guest

    Default

    Hi,

    I tried again following the wiki exactly. Sorry for the long message but I'm posting the exact output. I don't know if the install for opensuse 11.0 is fixed, but Opensuse 11.1 is not as of this moment.

    Thanks for your time,
    Tim

    ------------------------------------

    zypper install mysql open-xchange open-xchange-authentication-database \
    > open-xchange-admin-client open-xchange-admin-lib \
    > open-xchange-admin-plugin-hosting open-xchange-admin-plugin-hosting-client \
    > open-xchange-admin-plugin-hosting-lib open-xchange-configjump-generic \
    > open-xchange-configjump-generic-gui open-xchange-contactcollector \
    > open-xchange-conversion open-xchange-conversion-engine \
    > open-xchange-conversion-servlet open-xchange-crypto \
    > open-xchange-data-conversion-ical4j open-xchange-dataretention \
    > open-xchange-dataretention-csv open-xchange-genconf open-xchange-genconf-mysql \
    > open-xchange-gui open-xchange-imap open-xchange-mailfilter \
    > open-xchange-management open-xchange-monitoring \
    > open-xchange-passwordchange-database open-xchange-passwordchange-servlet \
    > open-xchange-pop3 open-xchange-publish open-xchange-publish-basic \
    > open-xchange-publish-infostore-online open-xchange-publish-json \
    > open-xchange-publish-microformats open-xchange-push-udp \
    > open-xchange-resource-managerequest open-xchange-server \
    > open-xchange-settings-extensions open-xchange-smtp \
    > open-xchange-spamhandler-default open-xchange-sql open-xchange-subscribe \
    > open-xchange-xerces-sun open-xchange-subscribe-json \
    > open-xchange-subscribe-microformats open-xchange-subscribe-crawler \
    > open-xchange-templating open-xchange-timer open-xchange-unifiedinbox \
    > open-xchange-online-help-de open-xchange-online-help-en \
    > open-xchange-online-help-fr open-xchange-admin-doc \
    > open-xchange-admin-plugin-hosting-doc open-xchange-charset \
    > open-xchange-control open-xchange-easylogin \
    > open-xchange-group-managerequest open-xchange-i18n open-xchange-jcharset \
    > open-xchange-sessiond
    Loading repository data...
    Reading installed packages...
    'mysql' is already installed.
    Resolving package dependencies...
    2 Problems:
    Problem: nothing provides open-xchange-conversion-servlet >= 6.12.0.0 needed by open-xchange-6.12.0.0-5_5.1.noarch
    Problem: nothing provides open-xchange-conversion-servlet >= 6.12.0.0 needed by open-xchange-6.12.0.0-5_5.1.noarch

    Problem: nothing provides open-xchange-conversion-servlet >= 6.12.0.0 needed by open-xchange-6.12.0.0-5_5.1.noarch
    Solution 1: do not ask to install a solvable providing open-xchange

    Choose the above solution using '1' or skip, retry or cancel [1/s/r/C]:

  8. #8
    pysio Guest

    Angry Next problem

    thx volusiawebservices
    I manual installed the conversion-servlet from openSUSE 11.0 repository and now it works.

    But the next problem is that after 2-4 sec. after starting:

    /etc/init.d/open-xchange-admin start


    The admin daemon stoped automaticly. I call:

    /etc/init.d/open-xchange-admin status

    and there stand "dead"

    In my logs there stand nothing => 0 Bytes

    When i go to the next step:

    /opt/open-xchange/sbin/registerserver -n oxserver -A oxadminmaster -P admin_master_password

    this message comes:

    server could not be registered:
    Server response:
    OXUtil_V2

    whats wrong?????

    thx
    pysio
    Last edited by pysio; 10-02-2009 at 01:28 PM.

  9. #9
    Join Date
    Feb 2007
    Location
    Germany
    Posts
    3,695

    Default

    Hi,

    what Java version are you using (java -version). Also doublecheck if /var/log/open-xchange stays empty after waiting some minutes.

    Thanks

  10. #10
    pysio Guest

    Question

    hi,

    by command java -version:
    java version "1.6.0_15"
    Java(TM) SE Runtime Environment (build 1.6.0_15-b03)
    Java HotSpot(TM) 64-Bit Server VM (build 14.1-b02, mixed mode)

    after waiting 3 hours the log files still empty.
    Only one logfile has logs:

    open-xchange-osgi.log

    !SESSION 2009-10-02 13:45:14.731 -----------------------------------------------
    eclipse.buildId=unknown
    java.version=1.6.0_15
    java.vendor=Sun Microsystems Inc.
    BootLoader constants: OS=linux, ARCH=x86_64, WS=motif, NL=en_US
    Command-line arguments: -configuration file:/opt/open-xchange/etc/groupware/osgi

    !ENTRY org.eclipse.osgi 4 0 2009-10-02 13:45:27.490
    !MESSAGE An unexpected runtime error has occurred.
    !STACK 0
    java.lang.UnsupportedOperationException
    at java.util.concurrent.CopyOnWriteArrayList$COWItera tor.set(CopyOnWriteArrayList.java:1013)
    at java.util.Collections.sort(Collections.java:163)
    .....................................

    !ENTRY com.openexchange.server 4 0 2009-10-02 13:45:27.492
    !MESSAGE
    !STACK 0
    java.lang.UnsupportedOperationException
    at java.util.concurrent.CopyOnWriteArrayList$COWItera tor.set(CopyOnWriteArrayList.java:1013)
    at java.util.Collections.sort(Collections.java:163)
    at com.openexchange.folderstorage.internal.FolderStor ageRegistry.addFolderStorage(FolderStorageRegistry .java:130)
    at com.openexchange.folderstorage.osgi.FolderStorageT racker.addingService(FolderStorageTracker.java:93)
    at org.osgi.util.tracker.ServiceTracker$Tracked.track Adding(ServiceTracker.java:1064)
    at org.osgi.util.tracker.ServiceTracker$Tracked.tra.. ............................................

    !ENTRY org.eclipse.osgi 4 0 2009-10-02 13:45:27.530
    !MESSAGE An unexpected runtime error has occurred.
    !STACK 0
    java.lang.UnsupportedOperationException
    at java.util.concurrent.CopyOnWriteArrayList$COWItera tor.set(CopyOnWriteArrayList.java:1013)
    at java.util.Collections.sort(Collections.java:163)
    at com.openexchange.folderstorage.internal.FolderStor ageRegistry.addFolderStorage(FolderStorageRegistry .java:130)
    at com.openexchange.folderstorage.osgi.FolderStorageT racker.addingService(FolderStorageTracker.java:93)
    at org.osgi.util.tracker.ServiceTracker$Tracked.track Adding(ServiceTracker.java:1064)
    at org.osgi.util.tracker.ServiceTracker$Tracked.track (ServiceTracker.java:1042)
    at org.osgi.util.tracker.ServiceTracker$Tracked.servi ceChanged(ServiceTracker.java:967)
    at org.eclipse.osgi.framework.internal.core.Filt..... ................................

    !ENTRY com.openexchange.server 4 0 2009-10-02 13:45:27.531
    !MESSAGE
    !STACK 0
    java.lang.UnsupportedOperationException
    at java.util.concurrent.CopyOnWriteArrayList$COWItera tor.set(CopyOnWriteArrayList.java:1013)
    at java.util.Collections.sort(Collections.java:163)
    at com.openexchange.folderstorage.internal.FolderStor ageRegistry.addFolderStorage(FolderStorageRegistry .java:130)
    at com.openexchange.folderstorage.osgi.FolderStorageT racker.addingService(FolderStorageTracker.java:93)
    at org.osgi.util.tracker.ServiceTracker$Tracked.track Adding(ServiceTracker.java:1064)
    at org.osgi.util.tracker.ServiceTracker$Tracked.track (ServiceTracker.java:1042)
    at org.osgi.util.tracker.ServiceTrack................ ...................................

    !ENTRY org.eclipse.osgi 4 0 2009-10-02 13:45:27.575
    !MESSAGE Bundle initial@reference:file:com.openexcha...cts.l dap.jar/ [9] is not active.

    thx
    Attached Files Attached Files
    Last edited by pysio; 10-02-2009 at 06:34 PM.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •